Bug 156514 - Insufficient XKB settings for ctrl:nocaps with JP106 keyboard
Insufficient XKB settings for ctrl:nocaps with JP106 keyboard
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-01 11:43 EDT by SEKINE Tatsuo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-02 15:42:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org (Old) 3193 None None None Never
FreeDesktop.org 3193 None None None Never

  None (edit)
Description SEKINE Tatsuo 2005-05-01 11:43:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Fedora/1.7.6-1.2.5

Description of problem:
According to the file /etc/X11/xkb/symbols/jp, JP106(/JP109) has 2 meanings on the Caps Lock key, which are "Eisu_toggle" and "Caps_Lock":
    key <CAPS> { [ Eisu_toggle, Caps_Lock ]     };

If the option "ctrl:nocaps" is set in "InputDevice" section of xorg.conf, following settings (from /etc/X11/xkb/symbols/ctrl) are loaded:
  xkb_symbols "nocaps" {
    key <CAPS>  {  symbols[Group1]= [ Control_L ] };
    modifier_map  Control { <CAPS>, <LCTL> };
  };

So, the use of "ctrl:nocaps" for jp106 keyboard results in
    key <CAPS> { [ Control_L, Caps_Lock ]     };
# It may be inexact. However it is not important in this case.

It means that Caps+Shift doesn't work as Ctrl+Shift.
Unfortunately, if Caps+Shift is pressed, it results Ctlr+Shift+Caps.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set up xorg.conf to use "ctrl:nocaps" with jp106 K/B
2. run xev
3. press key Caps+Shift+A in xev screen
  

Actual Results:  KeyPress event, serial 30, synthetic NO, window 0x3c00001,
     root 0x48, subw 0x0, time 1262610, (108,-58), root:(112,454),
     state 0x7, keycode 38 (keysym 0x61, a), same_screen YES,

Expected Results:  KeyPress event, serial 32, synthetic NO, window 0x2400001,
    root 0x48, subw 0x0, time 14782148, (15,96), root:(607,272),
    state 0x5, keycode 38 (keysym 0x41, A), same_screen YES,
(snip)


Additional info:

According to an another developer, this BUG still remain in FC3.

In addtition to that, there are other "ctrl:*" options which are affected by the same problem.
Comment 1 SEKINE Tatsuo 2005-05-01 11:48:14 EDT
It is easy to fix and is supposed to be a problem of the upstream.

--- /etc/X11/xkb/symbols/ctrl.orig      2004-09-29 04:20:47.000000000 +1000
+++ /etc/X11/xkb/symbols/ctrl   2005-05-01 20:56:39.824039696 +1000
@@ -3,7 +3,7 @@
 // eliminate the caps lock key completely (replace with control)
 partial modifier_keys
 xkb_symbols "nocaps" {
-    key <CAPS> {  symbols[Group1]= [ Control_L ] };
+    key <CAPS> {  symbols[Group1]= [ Control_L, Control_L ] };
     modifier_map  Control { <CAPS>, <LCTL> };
 };
Comment 2 Matthew Miller 2005-05-02 08:16:41 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Mike A. Harris 2005-05-02 15:42:28 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".
Comment 4 SEKINE Tatsuo 2005-05-03 05:40:28 EDT
This bug was reginstred in bugzilla of X.Org as #3193.
  https://bugs.freedesktop.org/show_bug.cgi?id=3193

Note You need to log in before you can comment on or make changes to this bug.